Get a dataset manifest
curl --request GET \
--url https://platform.neural-motion.org/api/v1/orgs/{org_slug}/projects/{project_slug}/datasets/{dataset_slug}/manifest \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/orgs/{org_slug}/projects/{project_slug}/datasets/{dataset_slug}/manifest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/orgs/{org_slug}/projects/{project_slug}/datasets/{dataset_slug}/manifest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"item": {
"id": "<string>",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"source": {
"provider": "<string>",
"source_label": "<string>",
"source_locator": "<string>",
"source_url": "<string>",
"hf_repo_id": "<string>"
},
"observation": {
"camera_count": 123,
"cameras": [
{
"key": "<string>",
"label": "<string>",
"width": 123,
"height": 123,
"channels": 123,
"fps": 123,
"codec": "<string>",
"pixel_format": "<string>",
"depth_map": true
}
],
"state": {
"key": "<string>",
"dimension": 123,
"names": [
"<string>"
],
"fps": 123
}
},
"annotation": {
"available": true,
"keys": [
"<string>"
],
"has_success_label": false
},
"metrics": {
"total_episodes": 123,
"total_frames": 123,
"fps": 123,
"total_tasks": 123,
"split_names": [
"<string>"
],
"codebase_version": "<string>"
},
"episode_page": {
"offset": 123,
"limit": 123,
"total": 123,
"items": [
{
"episode_index": 123,
"length_frames": 123,
"duration_sec": 123,
"dataset_from_index": 123,
"dataset_to_index": 123,
"tasks": [
"<string>"
],
"camera_keys": [
"<string>"
]
}
]
},
"schema_version": "1.0.0",
"kind": "dataset_manifest",
"work_name": "<string>",
"task_name": "<string>",
"robot_type": "<string>",
"embodiment": "<string>",
"robot_description_uri": "<string>",
"tags": [
"<string>"
],
"modalities": [
"<string>"
],
"action": {
"key": "<string>",
"dimension": 123,
"names": [
"<string>"
],
"fps": 123
},
"statistics": {
"codebase_version": "<string>",
"total_recording_sec": 123,
"total_cameras": 123,
"camera_resolutions": [
"<string>"
],
"shortest_episode_frames": 123,
"longest_episode_frames": 123,
"shortest_episode_sec": 123,
"longest_episode_sec": 123,
"mean_episode_sec": 123,
"median_episode_sec": 123,
"std_episode_sec": 123,
"exact": true,
"sample_size": 123,
"histogram": [
{
"label": "<string>",
"count": 123
}
]
},
"export_artifacts": [
{
"key": "<string>",
"label": "<string>",
"kind": "<string>",
"access": "<string>",
"href": "<string>",
"description": "<string>"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Project datasets
Get a dataset manifest
GET
/
api
/
v1
/
orgs
/
{org_slug}
/
projects
/
{project_slug}
/
datasets
/
{dataset_slug}
/
manifest
Get a dataset manifest
curl --request GET \
--url https://platform.neural-motion.org/api/v1/orgs/{org_slug}/projects/{project_slug}/datasets/{dataset_slug}/manifest \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/orgs/{org_slug}/projects/{project_slug}/datasets/{dataset_slug}/manifest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/orgs/{org_slug}/projects/{project_slug}/datasets/{dataset_slug}/manifest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"item": {
"id": "<string>",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"source": {
"provider": "<string>",
"source_label": "<string>",
"source_locator": "<string>",
"source_url": "<string>",
"hf_repo_id": "<string>"
},
"observation": {
"camera_count": 123,
"cameras": [
{
"key": "<string>",
"label": "<string>",
"width": 123,
"height": 123,
"channels": 123,
"fps": 123,
"codec": "<string>",
"pixel_format": "<string>",
"depth_map": true
}
],
"state": {
"key": "<string>",
"dimension": 123,
"names": [
"<string>"
],
"fps": 123
}
},
"annotation": {
"available": true,
"keys": [
"<string>"
],
"has_success_label": false
},
"metrics": {
"total_episodes": 123,
"total_frames": 123,
"fps": 123,
"total_tasks": 123,
"split_names": [
"<string>"
],
"codebase_version": "<string>"
},
"episode_page": {
"offset": 123,
"limit": 123,
"total": 123,
"items": [
{
"episode_index": 123,
"length_frames": 123,
"duration_sec": 123,
"dataset_from_index": 123,
"dataset_to_index": 123,
"tasks": [
"<string>"
],
"camera_keys": [
"<string>"
]
}
]
},
"schema_version": "1.0.0",
"kind": "dataset_manifest",
"work_name": "<string>",
"task_name": "<string>",
"robot_type": "<string>",
"embodiment": "<string>",
"robot_description_uri": "<string>",
"tags": [
"<string>"
],
"modalities": [
"<string>"
],
"action": {
"key": "<string>",
"dimension": 123,
"names": [
"<string>"
],
"fps": 123
},
"statistics": {
"codebase_version": "<string>",
"total_recording_sec": 123,
"total_cameras": 123,
"camera_resolutions": [
"<string>"
],
"shortest_episode_frames": 123,
"longest_episode_frames": 123,
"shortest_episode_sec": 123,
"longest_episode_sec": 123,
"mean_episode_sec": 123,
"median_episode_sec": 123,
"std_episode_sec": 123,
"exact": true,
"sample_size": 123,
"histogram": [
{
"label": "<string>",
"count": 123
}
]
},
"export_artifacts": [
{
"key": "<string>",
"label": "<string>",
"kind": "<string>",
"access": "<string>",
"href": "<string>",
"description": "<string>"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Clerk session JWT for browsers, or nmp_ personal access token for CLI/SDK clients. Not accepted by ClerkSession-only operations.
Headers
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 200Minimum string length:
1Pattern:
^(episode_index|duration|frames)$Response
Successful Response
Show child attributes
Show child attributes
⌘I

